{% comment %}
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% load simple_page %}
<!DOCTYPE html>
<html>
<head>
    <title>{{ page.site_name }} | {{ page.title }}</title>
    {% for resource in page.resources %}
        {% invoke resource "render" context %}
    {% endfor  %}
</head>
<body>
{% if page.menu or page.breadcrumbs %}
    <nav class="menu">
        {% if page.menu %}
            <ul class="main_menu">
                {% for link in page.menu %}
                    <li {% if_crumb link.url "class='current_menu_item'" %}>{% link link %}</li>
                {% endfor %}
            </ul>
        {% endif %}

        {% if page.breadcrumbs %}
            <ul class="breadcrumbs">
                {% for link in page.breadcrumbs %}
                    <li>{% link link%}</li>
                {% endfor %}
            </ul>
        {% endif %}
    </nav>
{% endif %}

{% if messages %}
<aside id="messages">
    <ul>
        {% for message in messages %}
        <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
        {% endfor %}
    </ul>
</aside>
{% endif %}

<header><h1>{{ page.html_title }}</h1></header>


<main id="contents">
    {% include page.block_contents %}
</main>

{% if page.footer %}
<footer>
    {% for section in page.footer %}
        <nav>
            <div class="footer_title">{{ section.title }}</div>
            <ul>
                {% for link in section.links %}
                    <li>{% link link %}</li>
                {% endfor %}
            </ul>
        </nav>
    {% endfor %}
</footer>
{% endif %}

</body>
</html>
